<?xml version="1.0"?>
<!DOCTYPE GopherDemoFile SYSTEM "Gopher1.5.dtd">
<GopherDemoFile>
	<Libraries>
		<Library FileName = "eroc.dll">
			<Function Name = "Clear" />
			<Function Name = "BackgroundColor">
				<Parameter Name="Red" />
				<Parameter Name="Green" />
				<Parameter Name="Blue" />				
			</Function>
			<Function Name = "Background">
				<Parameter Name="ImageNr" />				
			</Function>
			<Function Name = "BackgroundFade">
				<Parameter Name="ImageNr" />
				<Parameter Name="Opacity" />				
			</Function>
			<Function Name = "FastBackground">
				<Parameter Name="ImageNr" />
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="SizeX"/>
				<Parameter Name="SizeY"/>			
			</Function>
			<Function Name="Image">
				<Parameter Name="ImageNr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="Scale"/>
                <Parameter Name="Opacity"/>
			</Function>
			<Function Name="Animate">
				<Parameter Name="AnimNr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="Scale"/>
                <Parameter Name="Opacity"/>
				<Parameter Name="Time"/>
			</Function>
			<Function Name="PrintNr">
				<Parameter Name="Nr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>			
			</Function>	
			<Function Name="ShowFPS">
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>			
			</Function>	
			<Function Name="CircularBlur">
				<Parameter Name="ImageNr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="Scale"/>
                <Parameter Name="Degrees"/>
			</Function>	
			<Function Name="Wave">
				<Parameter Name="ImageNr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="Scale"/>
                <Parameter Name="Opacity"/>
				<Parameter Name="WavesX"/>
				<Parameter Name="WavesY"/>
				<Parameter Name="SizeX"/>
				<Parameter Name="SizeY"/>
				<Parameter Name="OffsetX"/>
				<Parameter Name="OffsetY"/>
			</Function>		
			<Function Name="Rasterize">
				<Parameter Name="ImageNr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="Scale"/>
                <Parameter Name="Opacity"/>
			</Function>
		</Library>
		<!-- <Library FileName = "mystic.dll" /> -->
	</Libraries>
	<Demo>
		<Summary>
			<Author>
				Various Fulcrum ppl
			</Author>		
			<Group>
				Fulcrum
			</Group>			
		</Summary>
		<Settings RunningTime = "282000"
				UseOpenGL = "true"
				NumberOfInputSurfaces = "1"
				InputMusicFile = "data\eroc.ogg" />

		<!-- Debug TIMER -->
		<Track>
			<Event LibraryFileName = "eroc.dll" FunctionName = "PrintNr" StartTime = "0" EndTime = "282000">
				<param start="0" end="2820" />
				<param start="10" end="10" />
				<param start="570" end="570" />
			</Event>
		</Track>		

		<Track>
			<Event LibraryFileName = "eroc.dll" FunctionName = "ShowFPS" StartTime = "0" EndTime = "282000">	
				<param start="755" end="755" />
				<param start="570" end="570" />
			</Event>
		</Track>

		<Track>
			<Event LibraryFileName = "eroc.dll" FunctionName = "CircularBlur" StartTime = "0" EndTime = "18000" >
				<param start="31" end="31" />
				<param start="300" end="300" />
				<param start="300" end="300" />
				<param start="1000" end="1000" />
				<param start="10" end="10" />
			</Event>
		</Track>

		<!-- Track 1 -->
		<Track>
		      <!-- Opening Credits -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "BackgroundFade" StartTime = "0" EndTime = "3000">
				<param start="1" end="1" />
				<param start="0" end="256" />		
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "3000" EndTime = "7000">
				<param start="1" end="1" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "BackgroundFade" StartTime = "7000" EndTime = "10000">
				<param start="1" end="1" />
				<param start="256" end="0" />		
			</Event>


		      <!-- First Mask Fade -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "BackgroundFade" StartTime = "22000" EndTime = "27000">
				<param start="23" end="23" />
				<param start="0"  end="256" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "27000" EndTime = "32000">
				<param start="23" end="23" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "BackgroundFade" StartTime = "32000" EndTime = "37000">
				<param start="23" end="23" />
				<param start="256"  end="0" />
			</Event>

		      <!-- Scream 3 -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "219400" EndTime = "236200">
				<param start="14" end="14" />				
			</Event>
		</Track>


		<!-- Track 2 -->
		<Track>
		      <!-- Second Mask Fade -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "BackgroundFade" StartTime = "27000" EndTime = "32000">
				<param start="24" end="24" />
				<param start="0"  end="256" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "32000" EndTime = "37000">
				<param start="24" end="24" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "BackgroundFade" StartTime = "37000" EndTime = "42000">
				<param start="24" end="24" />
				<param start="256"  end="0" />
			</Event>

		      <!-- Moon Vertigo Effect -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Image" StartTime = "49200" EndTime = "68250">
				<param start="26" end="26" />
				<param start="468"  end="468" />
				<param start="336"  end="336" />
				<param start="1000"  end="1500" />
				<param start="256"  end="256" />
			</Event>

		</Track>

		<!-- Track 3 -->
		<Track>
		      <!-- Third Mask Fade -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "BackgroundFade" StartTime = "32000" EndTime = "37000">
				<param start="25" end="25" />
				<param start="0"  end="256" />
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "37000" EndTime = "49200">
				<param start="25" end="25" />
			</Event>

		      <!-- Scream 3 Fast Background -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "FastBackground" StartTime = "219400" EndTime = "236200">
				<param start="22" end="22" />
				<param start="0" end="800" />
				<param start="0" end="0" />
				<param start="20" end="20" />
				<param start="1000" end="1000" />
			</Event>
		</Track>

		<Track>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Image" StartTime = "264600" EndTime = "270400">
				<param start="28" end="28" />
				<param start="400" end="400" />	
				<param start="370" end="370" />	
				<param start="1000" end="1000" />	
				<param start="256" end="256" />
			</Event>
		</Track>

		<Track>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Image" StartTime = "264600" EndTime = "270400">
				<param start="27" end="27" />
				<param start="90" end="90" />	
				<param start="230" end="230" />	
				<param start="1000" end="1000" />	
				<param start="256" end="256" />
			</Event>
		</Track>

		<Track>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Image" StartTime = "264600" EndTime = "270400">
				<param start="29" end="29" />
				<param start="375" end="375" />	
				<param start="142" end="142" />	
				<param start="870" end="870" />	
				<param start="256" end="256" />
			</Event>
		</Track>

		<Track>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Rasterize" StartTime = "264600" EndTime = "270400">
				<param start="30" end="30" />
				<param start="635" end="635" />	
				<param start="142" end="142" />	
				<param start="870" end="870" />	
				<param start="256" end="256" />
			</Event>
		</Track>	

		<Track>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Image" StartTime = "264600" EndTime = "270400">
				<param start="30" end="30" />
				<param start="635" end="635" />	
				<param start="142" end="142" />	
				<param start="870" end="870" />	
				<param start="256" end="256" />
			</Event>
		</Track>

			

		<!-- Track 4 -->
		<Track>
		      <!-- Credit Screen -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "5000" EndTime = "16700">
				<param start="2" end="2" />
			</Event>
			
		      <!-- Full Window -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "16700" EndTime = "49200">
				<param start="3" end="3" />				
			</Event>

		      <!-- Intro Chorus (Moon 1 Background) -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "49200" EndTime = "68250">
				<param start="4" end="4" />				
			</Event>

		   <!-- Growth Scenes -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "68250" EndTime = "85000">
				<param start="5" end="5" />				
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "85000" EndTime = "102000">
				<param start="6" end="6" />				
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "102000" EndTime = "118000">
				<param start="7" end="7" />				
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "118000" EndTime = "139000">
				<param start="8" end="8" />				
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "139000" EndTime = "159300">
				<param start="9" end="9" />				
			</Event>

		   <!-- Mid Chorus -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "159300" EndTime = "171000">
				<param start="10" end="10" />				
			</Event>

		   <!-- Wrath Scenes -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "171000" EndTime = "185800">
				<param start="11" end="11" />				
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "185800" EndTime = "202600">
				<param start="12" end="12" />				
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "202600" EndTime = "219400">
				<param start="13" end="13" />				
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "219400" EndTime = "236200">
				<param start="14" end="14" />				
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "232200" EndTime = "240000">
				<param start="15" end="15" />				
			</Event>


		   <!-- Outro Chorus -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "240000" EndTime = "253000">
				<param start="16" end="16" />				
			</Event>

		   <!-- Outro Chorus -->
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "253000" EndTime = "258800">
				<param start="17" end="17" />				
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "258800" EndTime = "264600">
				<param start="18" end="18" />				
			</Event>

			


			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "270400" EndTime = "276200">
				<param start="20" end="20" />				
			</Event>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Background" StartTime = "276200" EndTime = "282000">
				<param start="21" end="21" />				
			</Event>
		</Track>


		<Track>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Clear" StartTime = "0" EndTime = "282000" />
		</Track>
	</Demo>
</GopherDemoFile>